Bug 49552 - wpa: Multiple issues (4.4)
wpa: Multiple issues (4.4)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.4
All Linux
: P3 normal (vote)
: UCS 4.4-0-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-25 10:53 CEST by Quality Assurance
Modified: 2019-05-29 13:24 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 5.3 (CVSS:3.0/AV:A/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2019-05-25 10:53:24 CEST
New Debian wpa 2:2.4-1+deb9u4A~4.4.0.201905251053 fixes:
This update addresses the following issue:
* NULL pointer dereference due to improper fragmentation reassembly state  validation in EAP-pwd implementation (CVE-2019-11555)
Comment 1 Quality Assurance univentionstaff 2019-05-25 12:01:22 CEST
--- mirror/ftp/4.4/unmaintained/component/4.4-0-errata/source/wpa_2.4-1+deb9u3A~4.4.0.201904231223.dsc
+++ apt/ucs_4.4-0-errata4.4-0/source/wpa_2.4-1+deb9u4A~4.4.0.201905251053.dsc
@@ -1,7 +1,13 @@
-2:2.4-1+deb9u3A~4.4.0.201904231223 [Tue, 23 Apr 2019 12:23:52 +0200] Univention builddaemon <buildd@univention.de>:
+2:2.4-1+deb9u4A~4.4.0.201905251053 [Sat, 25 May 2019 10:53:37 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. The following patches have been applied to the original source package
     eapol_test
+
+2:2.4-1+deb9u4 [Fri, 26 Apr 2019 15:21:54 +0200] Andrej Shadura <andrewsh@debian.org>:
+
+  * SECURITY UPDATE (2019-5):
+    - CVE-2019-11555: EAP-pwd message reassembly issue with unexpected fragment
+      (Closes: #927463).
 
 2:2.4-1+deb9u3 [Wed, 10 Apr 2019 18:57:51 +0200] Andrej Shadura <andrewsh@debian.org>:
 

<http://10.200.17.11/4.4-0/#6150473165200416478>
Comment 2 Philipp Hahn univentionstaff 2019-05-26 11:32:13 CEST
OK: yaml
OK: announce_errata
OK: patch
OK: piuparts

[4.4-0] b93bc67a4c Bug #49552: wpa 2:2.4-1+deb9u4A~4.4.0.201905251053
 doc/errata/staging/wpa.yaml | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 3 Arvid Requate univentionstaff 2019-05-29 13:24:32 CEST
<http://errata.software-univention.de/ucs/4.4/134.html>